@import url("https://fonts.googleapis.com/css?family=Roboto:400,200,100,300,500,700&subset=latin,cyrillic");

body {
    color: #fff;
    font-family: 'Roboto';
    /* remove in production */
    height: 2000px;
}

#calculator {
    color: #fff;
    text-align: center;
    z-index: 999;
}

#calculator h1 {
    text-align: center;
    color: #fff;
    background: none;
    padding: 0;
    font-weight: 200;
}

#calculator h2, #calculator h4 {
    font-weight: normal;
}

#calculator .item {
    padding-top: 10px;
    display: inline-block;
    vertical-align: top;
    margin-right: 10px;
    margin-left: 10px;
    width: 200px;
    position: relative;
    cursor: pointer;
    background: #fff;
    height: 180px;
    color: #333;
    z-index: 999;

}

#calculator h4.name {
    font-size: 14px;
    font-weight: 300 !important;
}

#calculator .notice {
    padding-top: 5px;
    margin-bottom: 10px;
    color: #ccc;
}

#calculator .text-red {
    color: red;
    padding-top: 5px;
}

#calculator .opacity {
    opacity: 0.3;
}

#calculator .item .total {
    padding-left: 20px;
    padding-right: 20px;
    padding-bottom: 20px;
    height: 160px;
}

#calculator .item:hover .text-red {
    color: #fff;

}

#calculator .item:hover {
    background: red;
    color: #fff;

    transition-property: color;
    transition-property: background;
    transition-duration: 1s;
}

#calculator .item:hover .notice {
    color: #fff;
}

#calculator .item:hover .more {
    display: block;
    transition: all 0.5s ease;

}

#calculator .item .price {
    margin-top: 10px;
    font-weight: 200;
}

#calculator .more {
    display: none;
    width: 180px;
    background: #fff;
    padding: 10px;
    color: #000;

}

#calculator .more .table td {
    padding-left: 0;
    padding-right: 5;
    padding-top: 4px;
    padding-bottom: 4px;
}


#calculator .more .table  td {
    border-bottom: 1px solid #eee;

}

#calculator .more .table tr:last-child td {
    border-bottom: none;
    border-top: none;
}

#calculator .qwintry {
    color: #fff;
    background: #f8a01d;
    border: none;
    padding: 5px;
    width: 94%;
    text-align: center;
    border-radius: 5px;
    display: block;
    margin-right: 10px;
}


#calculator .glyphicon-info-sign {
    color: #ccc;
}

#calculator .glyphicon-info-sign:hover {
    color: red;
}

#calculator .more .table tr:first-child td {
    border-top: none;
}

#calculator .item:hover + .more {
    display: block;
}

#calculator .item .more .table {
    border-collapse: collapse;
    border-spacing: 0;
    margin: 0;
    padding: 0;
}


#calculator .item .more .table:after {
    box-sizing: border-box !important;
}

#calculator .item .more .table:before {
    box-sizing: border-box !important;
}

#calculator .line {
    border-bottom: 1px solid #eee;
    padding: 4px;
}

#calculator .line .title {
    width: 115px;
    display: inline-block;
    padding-right: 10px;
}

#calculator .line .value {
    width: 40px;
    display: inline-block;
    vertical-align: top;
}

#calculator .shophelp, #calculator .insurance, #calculator .country {
    display: inline-block;
    margin-top: 20px;
    margin-left: 20px;
    margin-right: 20px;
}


#calculator .product {
    border: 1px solid #eee;
    padding: 10px;
    background: #eee;
    color: #666;
    display: inline-block;
    margin-left: 10px;
    margin-right: 10px;
    margin-top: 20px;
    min-width: 70px;
    cursor: pointer;
    border-radius: 6px;
}

#calculator .small {
    font-size: 12px
}

#calculator .product.active {
    background: red;
    border: red;
    color: #fff;
}

#calculator .product:hover {
    border-color: red;
}

#calculator select {

    width: 150px !important;
    margin: 0 auto;
}

#calculator .color {
    margin-bottom: 5px;
}

#calculator .product h4 {
    margin-top: 0;
    margin-bottom: 0;
    font-weight: normal;
}


#calculator .tip {
    position: relative;
}

#calculator .tip .tooltiptext {
    visibility: hidden;
    width: 250px;
    background-color: black;
    color: #fff;

    padding: 8px;
    border-radius: 6px;

    position: absolute;
    z-index: 1;
}

#calculator .tip:hover .tooltiptext {
    visibility: visible;
}

#calculator .text-center {
    text-align: center;
}

#calculator .text-left {
    text-align: left;
}



#calculator .table td{
    padding: 3px;

}



.control {
    position: relative;
    display: inline-block;
    padding-left: 1.9rem;
    color: #ccc;
    font-weight: 300;
    cursor: pointer;
}
.control input {
    position: absolute;
    opacity: 0;
    z-index: -1;
}
.control-indicator {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width:  1.5rem;
    height: 1.5rem;
    line-height: 1rem;
    font-size: 65%;
    color: #eee;
    text-align: center;
    background-color: #eee;
    background-size: 50% 50%;
    background-position: center center;
    background-repeat: no-repeat;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}



/* Focus */
.control input:focus ~ .control-indicator {
    box-shadow: 0 0 0 .075rem #fff, 0 0 0 .2rem #0074d9;
}

/* Checked state */
.control input:checked ~ .control-indicator {
    color: #fff;
    background-color: #0074d9;
}

/* Active */
.control input:active ~ .control-indicator {
    color: #fff;
    background-color: #84c6ff;
}


/* Radio modifiers */
.radio .control-indicator {
    border-radius: 50%;
}
.radio input:checked ~ .control-indicator {
    background-image: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0idXRmLTgiPz4NCjwhLS0gR2VuZXJhdG9yOiBBZG9iZSBJbGx1c3RyYXRvciAxNy4xLjAsIFNWRyBFeHBvcnQgUGx1Zy1JbiAuIFNWRyBWZXJzaW9uOiA2LjAwIEJ1aWxkIDApICAtLT4NCjwhRE9DVFlQRSBzdmcgUFVCTElDICItLy9XM0MvL0RURCBTVkcgMS4xLy9FTiIgImh0dHA6Ly93d3cudzMub3JnL0dyYXBoaWNzL1NWRy8xLjEvRFREL3N2ZzExLmR0ZCI+DQo8c3ZnIHZlcnNpb249IjEuMSIgaWQ9IkxheWVyXzEiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIHg9IjBweCIgeT0iMHB4Ig0KCSB2aWV3Qm94PSIwIDAgOCA4IiBlbmFibGUtYmFja2dyb3VuZD0ibmV3IDAgMCA4IDgiIHhtbDpzcGFjZT0icHJlc2VydmUiPg0KPHBhdGggZmlsbD0iI0ZGRkZGRiIgZD0iTTQsMUMyLjMsMSwxLDIuMywxLDRzMS4zLDMsMywzczMtMS4zLDMtM1M1LjcsMSw0LDF6Ii8+DQo8L3N2Zz4NCg==);
}

/* Alternately, use another character */
.control-x input:checked ~ .control-indicator {
    background-image: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0idXRmLTgiPz4NCjwhLS0gR2VuZXJhdG9yOiBBZG9iZSBJbGx1c3RyYXRvciAxNy4xLjAsIFNWRyBFeHBvcnQgUGx1Zy1JbiAuIFNWRyBWZXJzaW9uOiA2LjAwIEJ1aWxkIDApICAtLT4NCjwhRE9DVFlQRSBzdmcgUFVCTElDICItLy9XM0MvL0RURCBTVkcgMS4xLy9FTiIgImh0dHA6Ly93d3cudzMub3JnL0dyYXBoaWNzL1NWRy8xLjEvRFREL3N2ZzExLmR0ZCI+DQo8c3ZnIHZlcnNpb249IjEuMSIgaWQ9IkxheWVyXzEiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIHg9IjBweCIgeT0iMHB4Ig0KCSB3aWR0aD0iOHB4IiBoZWlnaHQ9IjhweCIgdmlld0JveD0iMCAwIDggOCIgZW5hYmxlLWJhY2tncm91bmQ9Im5ldyAwIDAgOCA4IiB4bWw6c3BhY2U9InByZXNlcnZlIj4NCjxwYXRoIGZpbGw9IiNGRkZGRkYiIGQ9Ik0xLjQsMEwwLDEuNGwwLjcsMC43bDEuOCwxLjhMMC43LDUuN0wwLDYuNGwxLjQsMS40bDAuNy0wLjdsMS44LTEuOGwxLjgsMS44bDAuNywwLjdsMS40LTEuNEw3LjEsNS43DQoJTDUuMywzLjlsMS44LTEuOGwwLjctMC43TDYuNCwwTDUuNywwLjdMMy45LDIuNUwyLjEsMC43QzIuMSwwLjcsMS40LDAsMS40LDB6Ii8+DQo8L3N2Zz4NCg==);
}
.control-dash input:checked ~ .control-indicator {
    background-image: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0idXRmLTgiPz4NCjwhLS0gR2VuZXJhdG9yOiBBZG9iZSBJbGx1c3RyYXRvciAxNy4xLjAsIFNWRyBFeHBvcnQgUGx1Zy1JbiAuIFNWRyBWZXJzaW9uOiA2LjAwIEJ1aWxkIDApICAtLT4NCjwhRE9DVFlQRSBzdmcgUFVCTElDICItLy9XM0MvL0RURCBTVkcgMS4xLy9FTiIgImh0dHA6Ly93d3cudzMub3JnL0dyYXBoaWNzL1NWRy8xLjEvRFREL3N2ZzExLmR0ZCI+DQo8c3ZnIHZlcnNpb249IjEuMSIgaWQ9IkxheWVyXzEiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIHg9IjBweCIgeT0iMHB4Ig0KCSB3aWR0aD0iOHB4IiBoZWlnaHQ9IjhweCIgdmlld0JveD0iMCAwIDggOCIgZW5hYmxlLWJhY2tncm91bmQ9Im5ldyAwIDAgOCA4IiB4bWw6c3BhY2U9InByZXNlcnZlIj4NCjxwYXRoIGZpbGw9IiNGRkZGRkYiIGQ9Ik0wLDN2Mmg4VjNIMHoiLz4NCjwvc3ZnPg0K)
}



/*
 * Select
 */

.select {
    position: relative;
    display: inline-block;
    color: #555;
    min-width: 150px;
}
.select select {
    display: inline-block;
    width: 100%;
    margin: 0;
    padding: .5rem 2.25rem .5rem 1rem;
    line-height: 1.5;
    color: #555;
    background-color: #eee;
    border: 0;
    border-radius: .25rem;
    cursor: pointer;
    outline: 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}
.select select:focus:-moz-focusring {
    color: transparent;
    text-shadow: 0 0 0 #000;
}
.select:after {
    position: absolute;
    top: 50%;
    right: 2.25rem;
    display: inline-block;
    content: "";
    width: 0;
    height: 0;
    margin-top: -.15rem;
    pointer-events: none;
    border-top: .35rem solid;
    border-right: .35rem solid transparent;
    border-bottom: .35rem solid transparent;
    border-left: .35rem solid transparent;
}


.select select:focus {
    box-shadow: 0 0 0 .075rem #fff, 0 0 0 .2rem #0074d9;
}

.select select:active {
    color: #fff;
    background-color: #0074d9;
}

.select select::-ms-expand {
    display: none;
}

@-moz-document url-prefix() {
    .select select {
        text-indent: 0.01px;
        text-overflow: '';
        padding-right: 1rem;
    }

    .select option {
        background-color: #fff;
    }
}

@media screen and (min-width:0\0) {
    .select select {
        z-index: 1;
        padding: .5rem 1.5rem .5rem 1rem;
    }
    .select:after {
        z-index: 5;
    }
    .select:before {
        position: absolute;
        top: 0;
        right: 1rem;
        bottom: 0;
        z-index: 2;
        content: "";
        display: block;
        width: 1.5rem;
        background-color: #eee;
    }
    .select select:hover,
    .select select:focus,
    .select select:active {
        color: #555;
        background-color: #eee;
    }
}



.file {
    position: relative;
    display: inline-block;
    cursor: pointer;
    height: 2.5rem;
}
.file input {
    min-width: 14rem;
    margin: 0;
    filter: alpha(opacity=0);
    opacity: 0;
}
.file-custom {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    z-index: 5;
    height: 2.5rem;
    padding: .5rem 1rem;
    line-height: 1.5;
    color: #555;
    background-color: #fff;
    border: .075rem solid #ddd;
    border-radius: .25rem;
    box-shadow: inset 0 .2rem .4rem rgba(0,0,0,.05);
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
.file-custom:after {
    content: "Choose file...";
}
.file-custom:before {
    position: absolute;
    top: -.075rem;
    right: -.075rem;
    bottom: -.075rem;
    z-index: 6;
    display: block;
    content: "Browse";
    height: 2.5rem;
    padding: .5rem 1rem;
    line-height: 1.5;
    color: #555;
    background-color: #eee;
    border: .075rem solid #ddd;
    border-radius: 0 .25rem .25rem 0;
}

.file input:focus ~ .file-custom {
    box-shadow: 0 0 0 .075rem #fff, 0 0 0 .2rem #0074d9;
}

.progress {
    display: inline-block;
    height: 1rem;
}
.progress[value] {
    /* Reset the default appearance */
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    /* Remove Firefox and Opera border */
    border: 0;
    /* IE10 uses `color` to set the bar background-color */
    color: #0074d9;
}
.progress[value]::-webkit-progress-bar {
    background-color: #eee;
    border-radius: .2rem;
}
.progress[value]::-webkit-progress-value {
    background-color: #0074d9;
    border-top-left-radius: .2rem;
    border-bottom-left-radius: .2rem;
}
.progress[value="100"]::-webkit-progress-value {
    border-top-right-radius: .2rem;
    border-bottom-right-radius: .2rem;
}

@-moz-document url-prefix() {
    .progress[value] {
        background-color: #eee;
        border-radius: .2rem;
    }
    .progress[value]::-moz-progress-bar {
        background-color: #0074d9;
        border-top-left-radius: .2rem;
        border-bottom-left-radius: .2rem;
    }
    .progress[value="100"]::-moz-progress-bar {
        border-top-right-radius: .2rem;
        border-bottom-right-radius: .2rem;
    }
}

/* IE9 hacks to accompany custom markup. We don't need to scope this via media queries, but I feel better doing it anyway. */
@media screen and (min-width:0\0) {
    .progress {
        background-color: #eee;
        border-radius: .2rem;
    }
    .progress-bar {
        display: inline-block;
        height: 1rem;
        text-indent: -999rem; /* Simulate hiding of value as in native `<progress>` */
        background-color: #0074d9;
        border-top-left-radius: .2rem;
        border-bottom-left-radius: .2rem;
    }
    .progress[width="100%"] {
        border-top-right-radius: .2rem;
        border-bottom-right-radius: .2rem;
    }
}


/*
 * Control layouts
 */

.controls-stacked {
    margin: 1rem 0;
}
.controls-stacked .control,
.controls-stacked .progress {
    display: block;
}
.controls-stacked .control + .control,
.controls-stacked .progress + .progress {
    margin-top: .5rem;
}

.controls-inline {
    margin: 1rem 0;
}
.controls-inline .control {
    display: inline-block;
    height: 1rem;
}
.controls-inline .control + .control {
    margin-left: 1rem;
}
